{
  "manifest_version": 3,
  "name": "Praxis",
  "version": "1.0",
  "description": "Praxis displays suggested donations for concerning news headlines.",
  "permissions": ["storage", "activeTab", "scripting"],
  "host_permissions": [
    "*://*.abcnews.go.com/*",
    "*://*.aljazeera.com/*",
    "*://*.apnews.com/*",
    "*://*.axios.com/*",
    "*://*.bbc.co.uk/*",
    "*://*.bbc.com/*",
    "*://*.bloomberg.com/*",
    "*://*.bostonglobe.com/*",
    "*://*.breitbart.com/*",
    "*://*.businessinsider.com/*",
    "*://*.c-span.org/*",
    "*://*.cbsnews.com/*",
    "*://*.chicagotribune.com/*",
    "*://*.cnet.com/*",
    "*://*.cnbc.com/*",
    "*://*.cnn.com/*",
    "*://*.csmonitor.com/*",
    "*://*.dailycaller.com/*",
    "*://*.dailymail.co.uk/*",
    "*://*.drudgereport.com/*",
    "*://*.dw.com/*",
    "*://*.economist.com/*",
    "*://*.euronews.com/*",
    "*://*.fivethirtyeight.com/*",
    "*://*.forbes.com/*",
    "*://*.foreignpolicy.com/*",
    "*://*.foxnews.com/*",
    "*://*.france24.com/*",
    "*://*.ft.com/*",
    "*://*.hollywoodreporter.com/*",
    "*://*.huffpost.com/*",
    "*://*.independent.co.uk/*",
    "*://*.indiatimes.com/*",
    "*://*.insider.com/*",
    "*://*.latimes.com/*",
    "*://*.marketwatch.com/*",
    "*://*.msnbc.com/*",
    "*://*.nationalgeographic.com/*",
    "*://*.nationalreview.com/*",
    "*://*.nbcnews.com/*",
    "*://*.newrepublic.com/*",
    "*://*.news.com.au/*",
    "*://*.newsweek.com/*",
    "*://*.newyorker.com/*",
    "*://news.google.com/*",
    "*://news.yahoo.com/*",
    "*://*.npr.org/*",
    "*://*.nypost.com/*",
    "*://*.nytimes.com/*",
    "*://*.patch.com/*",
    "*://*.pbs.org/*",
    "*://*.politico.com/*",
    "*://*.propublica.org/*",
    "*://*.qz.com/*",
    "*://*.rawstory.com/*",
    "*://*.reuters.com/*",
    "*://*.salon.com/*",
    "*://*.scientificamerican.com/*",
    "*://*.scmp.com/*",
    "*://*.semafor.com/*",
    "*://*.sfgate.com/*",
    "*://*.slate.com/*",
    "*://*.techcrunch.com/*",
    "*://*.theatlantic.com/*",
    "*://*.thebulwark.com/*",
    "*://*.thedailybeast.com/*",
    "*://*.theepochtimes.com/*",
    "*://*.thegatewaypundit.com/*",
    "*://*.theguardian.com/*",
    "*://*.thehill.com/*",
    "*://*.theintercept.com/*",
    "*://*.thetimes.co.uk/*",
    "*://*.theverge.com/*",
    "*://*.theweek.com/*",
    "*://time.com/*",
    "*://*.usatoday.com/*",
    "*://*.usnews.com/*",
    "*://*.variety.com/*",
    "*://*.vice.com/*",
    "*://*.vox.com/*",
    "*://*.washingtonpost.com/*",
    "*://*.wired.com/*",
    "*://*.wsj.com/*",
    "*://*.adweek.com/*",
    "*://*.axios.com/*",
    "*://*.bioreports.com/*",
    "*://*.businesswire.com/*",
    "*://*.cbslocal.com/*",
    "*://*.chron.com/*",
    "*://*.darkreading.com/*",
    "*://*.deadline.com/*",
    "*://*.denverpost.com/*",
    "*://*.digiday.com/*",
    "*://*.elle.com/*",
    "*://*.eonline.com/*",
    "*://*.engadget.com/*",
    "*://*.esquire.com/*",
    "*://*.etonline.com/*",
    "*://*.foxbusiness.com/*",
    "*://*.gq.com/*",
    "*://*.grubstreet.com/*",
    "*://*.houstonchronicle.com/*",
    "*://*.ign.com/*",
    "*://*.intelligencer.com/*",
    "*://*.jalopnik.com/*",
    "*://*.jezebel.com/*",
    "*://*.lifehacker.com/*",
    "*://*.mashable.com/*",
    "*://*.mediaite.com/*",
    "*://*.miamiherald.com/*",
    "*://*.motherjones.com/*",
    "*://*.newrepublic.com/*",
    "*://*.newsy.com/*",
    "*://*.nymag.com/*",
    "*://*.oregonlive.com/*",
    "*://*.pcmag.com/*",
    "*://*.people.com/*",
    "*://*.philly.com/*",
    "*://*.refinery29.com/*",
    "*://*.rollingstone.com/*",
    "*://*.rt.com/*",
    "*://*.seattletimes.com/*",
    "*://*.sfchronicle.com/*",
    "*://*.sltrib.com/*",
    "*://*.sportingnews.com/*",
    "*://*.startribune.com/*",
    "*://*.techradar.com/*",
    "*://*.thecut.com/*",
    "*://*.thedailybeast.com/*",
    "*://*.theglobeandmail.com/*",
    "*://*.theintercept.com/*",
    "*://*.theonion.com/*",
    "*://*.theverge.com/*",
    "*://*.thisisinsider.com/*",
    "*://*.tomsguide.com/*",
    "*://*.twitchy.com/*",
    "*://*.vulture.com/*",
    "*://*.washingtonexaminer.com/*",
    "*://*.wcvb.com/*",
    "*://*.wral.com/*",
    "*://*.wtae.com/*"
  ],
  "action": {
    "default_popup": "popup.html"
  },
  "background": {
    "service_worker": "background.js",
    "type": "module"
  },
  "icons": {
    "16": "praxis-logo-16.jpg",
    "48": "praxis-logo-48.jpg",
    "128": "praxis-logo-128.jpg"
  },
  "content_scripts": [
    {
      "matches": [
        "*://*.abcnews.go.com/*",
        "*://*.aljazeera.com/*",
        "*://*.apnews.com/*",
        "*://*.axios.com/*",
        "*://*.bbc.co.uk/*",
        "*://*.bbc.com/*",
        "*://*.bloomberg.com/*",
        "*://*.bostonglobe.com/*",
        "*://*.breitbart.com/*",
        "*://*.businessinsider.com/*",
        "*://*.c-span.org/*",
        "*://*.cbsnews.com/*",
        "*://*.chicagotribune.com/*",
        "*://*.cnet.com/*",
        "*://*.cnbc.com/*",
        "*://*.cnn.com/*",
        "*://*.csmonitor.com/*",
        "*://*.dailycaller.com/*",
        "*://*.dailymail.co.uk/*",
        "*://*.drudgereport.com/*",
        "*://*.dw.com/*",
        "*://*.economist.com/*",
        "*://*.euronews.com/*",
        "*://*.fivethirtyeight.com/*",
        "*://*.forbes.com/*",
        "*://*.foreignpolicy.com/*",
        "*://*.foxnews.com/*",
        "*://*.france24.com/*",
        "*://*.ft.com/*",
        "*://*.hollywoodreporter.com/*",
        "*://*.huffpost.com/*",
        "*://*.independent.co.uk/*",
        "*://*.indiatimes.com/*",
        "*://*.insider.com/*",
        "*://*.latimes.com/*",
        "*://*.marketwatch.com/*",
        "*://*.msnbc.com/*",
        "*://*.nationalgeographic.com/*",
        "*://*.nationalreview.com/*",
        "*://*.nbcnews.com/*",
        "*://*.newrepublic.com/*",
        "*://*.news.com.au/*",
        "*://*.newsweek.com/*",
        "*://*.newyorker.com/*",
        "*://news.google.com/*",
        "*://news.yahoo.com/*",
        "*://*.npr.org/*",
        "*://*.nypost.com/*",
        "*://*.nytimes.com/*",
        "*://*.patch.com/*",
        "*://*.pbs.org/*",
        "*://*.politico.com/*",
        "*://*.propublica.org/*",
        "*://*.qz.com/*",
        "*://*.rawstory.com/*",
        "*://*.reuters.com/*",
        "*://*.salon.com/*",
        "*://*.scientificamerican.com/*",
        "*://*.scmp.com/*",
        "*://*.semafor.com/*",
        "*://*.sfgate.com/*",
        "*://*.slate.com/*",
        "*://*.techcrunch.com/*",
        "*://*.theatlantic.com/*",
        "*://*.thebulwark.com/*",
        "*://*.thedailybeast.com/*",
        "*://*.theepochtimes.com/*",
        "*://*.thegatewaypundit.com/*",
        "*://*.theguardian.com/*",
        "*://*.thehill.com/*",
        "*://*.theintercept.com/*",
        "*://*.thetimes.co.uk/*",
        "*://*.theverge.com/*",
        "*://*.theweek.com/*",
        "*://time.com/*",
        "*://*.usatoday.com/*",
        "*://*.usnews.com/*",
        "*://*.variety.com/*",
        "*://*.vice.com/*",
        "*://*.vox.com/*",
        "*://*.washingtonpost.com/*",
        "*://*.wired.com/*",
        "*://*.wsj.com/*",
        "*://*.adweek.com/*",
        "*://*.axios.com/*",
        "*://*.bioreports.com/*",
        "*://*.businesswire.com/*",
        "*://*.cbslocal.com/*",
        "*://*.chron.com/*",
        "*://*.darkreading.com/*",
        "*://*.deadline.com/*",
        "*://*.denverpost.com/*",
        "*://*.digiday.com/*",
        "*://*.elle.com/*",
        "*://*.eonline.com/*",
        "*://*.engadget.com/*",
        "*://*.esquire.com/*",
        "*://*.etonline.com/*",
        "*://*.foxbusiness.com/*",
        "*://*.gq.com/*",
        "*://*.grubstreet.com/*",
        "*://*.houstonchronicle.com/*",
        "*://*.ign.com/*",
        "*://*.intelligencer.com/*",
        "*://*.jalopnik.com/*",
        "*://*.jezebel.com/*",
        "*://*.lifehacker.com/*",
        "*://*.mashable.com/*",
        "*://*.mediaite.com/*",
        "*://*.miamiherald.com/*",
        "*://*.motherjones.com/*",
        "*://*.newrepublic.com/*",
        "*://*.newsy.com/*",
        "*://*.nymag.com/*",
        "*://*.oregonlive.com/*",
        "*://*.pcmag.com/*",
        "*://*.people.com/*",
        "*://*.philly.com/*",
        "*://*.refinery29.com/*",
        "*://*.rollingstone.com/*",
        "*://*.rt.com/*",
        "*://*.seattletimes.com/*",
        "*://*.sfchronicle.com/*",
        "*://*.sltrib.com/*",
        "*://*.sportingnews.com/*",
        "*://*.startribune.com/*",
        "*://*.techradar.com/*",
        "*://*.thecut.com/*",
        "*://*.thedailybeast.com/*",
        "*://*.theglobeandmail.com/*",
        "*://*.theintercept.com/*",
        "*://*.theonion.com/*",
        "*://*.theverge.com/*",
        "*://*.thisisinsider.com/*",
        "*://*.tomsguide.com/*",
        "*://*.twitchy.com/*",
        "*://*.vulture.com/*",
        "*://*.washingtonexaminer.com/*",
        "*://*.wcvb.com/*",
        "*://*.wral.com/*",
        "*://*.wtae.com/*"
      ],
      "js": ["content.js"]
    }
  ],
   "web_accessible_resources": [
    {
      "resources": [
        "sandbox.html",
        "sandbox.js",
        "transformers/*",
        "models/nli-deberta-v3-small/*"
      ],
      "matches": ["<all_urls>"]
    }
  ],
  "content_security_policy": {
    "extension_pages": "script-src 'self' 'wasm-unsafe-eval'; object-src 'self';"
  }
}